Forum Post
Index > Scribe > A couple of small suggestion (and a bug ?)

Author/Date A couple of small suggestion (and a bug ?)
Matchstick
14/02/2003 9:53am
Hi,

I've only just discovered iScribe but I've already coughed up for the shareware version.

I have a couple of suggestion that you might (or might not) want to include in a future version.

Firstly a "Mark all as Read" option for a folder would be quite useful especially as reading in the preview pane doesnt mark a mail as read.
And secondly it would be useful to change the font while viewing a message. I normally prefer to use a standard proportional font for mails, but I occasional get mails that are best read in a fixed font and it's a bit awkward to have to go into File/Options/Appearance evry time I want to change it.

That said neither of these is very serious at all and even without them I'm extremely impressed.

Thanks for all your hard work on this.

(PS appologies if either of these has been raised before and especially if they're already in the program and I've just missed them)
Matchstick
14/02/2003 9:56am
Oops missed out the possible bug from the previous post.

If I change the size of the fields in the main mail panel, so that the whole row is too wide to be displayed at once, I dont get a horizontal scroll bar.

Is this a problem or have I missed configured something ?
fReT
14/02/2003 5:28pm
There is a fairly easy way to mark all as read, 'ctrl-a' selects all messages, right click and select 'mark read'. Which is why a don't have a specific command for that.

I do plan to add a 'make read when previewed for n sec' option... just havn't got around to it.

As for a fixed font for the editor... thats a good idea I'll file it away in the todo.

The list control doesn't have a horizontal scrollbar yet. I keep forgetting to do it. Another todo.

Thanks for the feedback.
Matchstick
14/02/2003 7:48pm
Cheers for that.

Unfortunately I've come across a more serious problem when using alot of accounts (I was testing with 9 & 11)

Basically sometimes when retrieving mail either automatically on startup or manually, accounts will hang.

From looking at the status/log screen and the mail server logs no attempt at a connection is made for that account and the cancel connection button doesnt work, but the connection light remains green and nothing more can be done with that account. The only thing that fixes it is shutting down scribe and restarting it.

I've also reproduced the problem while totally disconnected from the net so I'm pretty sure it's nothing to do with the mail server itself.

Seems to be pretty random when it happens but while testing the problem it seems more frequent on my XP box than on my Win2k box (though they both exhibit the problem).

Scribe seems to make all it's pop connections simultaneously, so could it be that this is whats causing the problem and if so could it be worked around by putting in an option to poll account sequentially ?
fReT
14/02/2003 10:36pm
I thought this one had gone away. But I'll look at it again. Obviously it's still there.

I only have 3 accounts and it never happens to me :(

Well I can find/open a few more and try to get it hanging. No prob. And your suggestion of having a rotating receive is definately worth looking at in the mean time.
Matchstick
18/02/2003 9:49am
Just tested the Test 7 beta version and it seems to be working perfectly now.

Thanks for that :)
Toby
19/02/2003 12:26pm
Test 8 doesn't hang on multiple accounts for me anymore, either. Now I can finally start using something other than 1.67. ;)
Matchstick
19/02/2003 2:29pm
Odd, I just tried Test 8 and for me the hanging problem seems to have re-appeared, so I've gone back to Test 7 cos that seems fine...
fReT
19/02/2003 5:14pm
I think you'll find that all the releases still have the problem, as it hasn't been found and fixed...

I'll post a change note in when I fix it.
Reply